TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.list({
from: "from",
take: 1,
});
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.list({
from: "from",
take: 1,
});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.ListClientProfilesRequestParameters{
From: management.String(
"from",
),
Take: management.Int(
1,
),
}
mgmt.ClientProfiles.List(
context.TODO(),
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api get "client-profiles" --query "from=from" --query "take=1"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ClientProfiles.ListAsync(
new ListClientProfilesRequestParameters {
From = "from",
Take = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.types.ListClientProfilesRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.clientProfiles().list(
ListClientProfilesRequestParameters
.builder()
.from("from")
.take(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\ClientProfiles\Requests\ListClientProfilesRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->clientProfiles->list(
new ListClientProfilesRequestParameters([
'from' => 'from',
'take' => 1,
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.client_profiles.list(
from_="from",
take=1,
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.client_profiles.list(
from: "from",
take: 1
)
curl --request GET \
--url https://{tenantDomain}/api/v2/client-profiles \
--header 'Authorization: Bearer <token>'{
"client_profiles": [
{
"id": "<string>",
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {
"default_value": "deny"
},
"organization_require_behavior": {
"default_value": "no_prompt"
},
"organization_discovery_methods": {
"default_value": [
"email"
]
},
"require_proof_of_possession": {
"default_value": true
}
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>"
}List client profiles
Retrieve a paginated list of client profiles for the tenant. Uses checkpoint pagination: pass the next cursor from a previous response as the from query parameter to retrieve the following page.
GET
https://{tenantDomain}/api/v2
/
client-profiles
TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.list({
from: "from",
take: 1,
});
}
main();
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.clientProfiles.list({
from: "from",
take: 1,
});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.ListClientProfilesRequestParameters{
From: management.String(
"from",
),
Take: management.Int(
1,
),
}
mgmt.ClientProfiles.List(
context.TODO(),
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api get "client-profiles" --query "from=from" --query "take=1"using Auth0.ManagementApi;
using System.Threading.Tasks;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.ClientProfiles.ListAsync(
new ListClientProfilesRequestParameters {
From = "from",
Take = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.types.ListClientProfilesRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.clientProfiles().list(
ListClientProfilesRequestParameters
.builder()
.from("from")
.take(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\ClientProfiles\Requests\ListClientProfilesRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->clientProfiles->list(
new ListClientProfilesRequestParameters([
'from' => 'from',
'take' => 1,
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.client_profiles.list(
from_="from",
take=1,
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.client_profiles.list(
from: "from",
take: 1
)
curl --request GET \
--url https://{tenantDomain}/api/v2/client-profiles \
--header 'Authorization: Bearer <token>'{
"client_profiles": [
{
"id": "<string>",
"name": "<string>",
"client_configuration": {
"refresh_token": {
"token_lifetime": {
"default_value": 15778800
},
"idle_token_lifetime": {
"default_value": 15778800
},
"leeway": {
"default_value": 1
}
},
"organization_usage": {
"default_value": "deny"
},
"organization_require_behavior": {
"default_value": "no_prompt"
},
"organization_discovery_methods": {
"default_value": [
"email"
]
},
"require_proof_of_possession": {
"default_value": true
}
},
"apply_policy": {
"external_metadata_type": "cimd",
"external_metadata_created_by": "client"
},
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
],
"next": "<string>"
}Authorizations
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Optional Id from which to start selection.
Number of results per page. Defaults to 50.
Required range:
x >= 1